#ifndef _H_REPORT
#define _H_REPORT

// TODO: There is a file with same filename under lcommon, rename this file. -Dong

#include "global.h"
#include "mbuffer.h"

#if(REPORT_STATISTIC)
extern void add_new_report_content(VideoParameters* p_Vid,Slice* currSlice,StorablePicture * dec_picture);
extern void report_content(VideoParameters* p_Vid,DecoderReportContent* p_Drc);
extern void clear_report_content(VideoParameters*p_Vid);
#endif

extern void report_stats_on_error (void);

#endif

